<?php
/**
 * Template part for displaying posts
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php
	if ( is_sticky() && is_home() ) :
		echo themesgenerator_get_svg( array( 'icon' => 'thumb-tack' ) );
	endif;
	?>
	<header class="entry-header">
		
		<?php
		

		if ( is_single() ) {
			the_title( '<h1 class="entry-title" style="font-family: Trebuchet MS; font-size: 250%; font-weight: bold; color: #0a5581;">', '</h1>' );
		} elseif ( is_front_page() && is_home() ) {
			the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
		} else {
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		}
		echo '<div id="i4f9va" style="width: 5%; margin-top: 5px; margin-bottom: -5px"> </div>';
		
		if ( 'post' === get_post_type() ) {
			echo '<div>';
				if ( is_single() ) {
					echo '<p style="font-family: Trebuchet MS; color: #0a5581; font-size: 110%">';
					the_time("j F Y");
					echo ' - ';
					the_author();
					echo '</p>';
						
				} else {
					echo themesgenerator_time_link();
					themesgenerator_edit_link();
				};
			echo '</div><!-- .entry-meta -->';
		};
		?>
		
		
	</header><!-- .entry-header -->

	<?php /* No Thumbnail
        * if ( '' !== get_the_post_thumbnail() && ! is_single() ) : ?>
		<div class="post-thumbnail">
			<a href="<?php the_permalink(); ?>">
				<?php the_post_thumbnail( 'themesgenerator-featured-image' ); ?>
			</a>
		</div><!-- .post-thumbnail -->
	<?php endif; */?>
	
	<div class="entry-content">
			<?php 
    	$phrase = get_the_content( sprintf(
			__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'themesgenerator' ),
			get_the_title()
		) );
    	// This is where wordpress filters the content text and adds paragraphs
    	$phrase = apply_filters('the_content', $phrase);
    	$replace = '<p style=" line-height: 22px; color: #1b3d52; font-weight: normal; font-size: 15px">';

    	echo str_replace('<p>', $replace, $phrase);
		
		wp_link_pages( array(
			'before'      => '<div class="page-links">' . __( 'Pages:', 'themesgenerator' ),
			'after'       => '</div>',
			'link_before' => '<span class="page-number">',
			'link_after'  => '</span>',
		) );
		?>
	</div><!-- .entry-content -->

	<?php
	if ( is_single() ) {
		themesgenerator_entry_footer();
	}
	?>

</article><!-- #post-## -->

